<script lang="ts">
  import Card from '$lib/components/cards/Card.svelte';
  import { PUBLIC_API_URL } from '$env/static/public';

  export let id: number,
    name: string,
    description: string,
    attachment: any;

</script>

<Card bordered noPaddings class="relative">
    <img src="{PUBLIC_API_URL}/attachment/{attachment.id}" alt="" class="object-cover brightness-75 h-80 w-full rounded-xl">
    <section class="absolute bottom-4 left-4 space-y-4 text-white">
        <a href="/ssa/{id}"><h1 class="text-2xl font-bold hover:underline decoration-2 decoration-blue-700">{name}</h1></a>
        <p>{description}</p>
    </section>
</Card>